<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    
    

    
    
</head>
<body>
    
    <nav>

        <div class="row col-2 loginInfo">
            <p align="center">ユーザ名さん</p>
            <a href="link1.html">ログアウト</a>
        </div>

    </nav>
<h1 style="text-align:center;">ユーザ一覧</h1>
    
   <div aligin="right"><li class="menu-item"><a href="#">新規登録</a></li></div> 
    
    
    <form method="get" action="input_text.html">
        <div class="col-sm-12">
            <div align="center">
  <p>ログインID    ：<input type="text" name="address" size="30" required> </p> 
                <p>ユーザー名    ：<input type="text" name="address" size="30" required> </p> 
                <tr>
                 <td align="right"><b> 生年月日：</b></td>
    <td><input type="date" name="date"></td><b> ~ </b>    <input type="date" name="date">
  </tr>
                
                
                
                
                
                
                
                
                    <input type="button" value="検索" class="btn btn-primary">
                
<div class="table-responsive">
             <table class="table table-striped">
               <thead>
                 <tr>
                   <th>ログインID</th>
                   <th>ユーザ名</th>
                   <th>生年月日</th>
                   <th></th>
                 </tr>
               </thead>
               <tbody>
                 <c:forEach var="user" items="${userList}" >
                   <tr>
                     <td>${user.loginId}</td>
                     <td>${user.name}</td>
                     <td>${user.birthDate}</td>
                     <!-- TODO 未実装；ログインボタンの表示制御を行う -->
                     <td>
                       <a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
                       <a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
                       <a class="btn btn-danger" href ="UserDeleteServlet?id=${user.id}">削除</a>
                     </td>
                   </tr>
                 </c:forEach>
               </tbody>
             </table>
           </div>
                
                
                
                
        </div>
 </div>
        


    </form>
</body>
</html>